summaryrefslogtreecommitdiffhomepage
path: root/build.sh
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2016-09-10 15:16:55 +0200
committerLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2016-09-10 15:16:55 +0200
commitb66e0183982574a6429e4a9c023d10a5e2bea151 (patch)
tree40ca09aadc4ea8aa04d41a670f7e69a34bca5938 /build.sh
parent319df8440fd47a4fbd5e51a90a6b69d6dd28593d (diff)
downloadmidipix_build-b66e0183982574a6429e4a9c023d10a5e2bea151.tar.bz2
midipix_build-b66e0183982574a6429e4a9c023d10a5e2bea151.tar.xz
Adds msgfmt and Perl {autodie,ExtUtils::MakeMaker} prerequisite dependencies.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index 1b4e2b28..b59834fb 100755
--- a/build.sh
+++ b/build.sh
@@ -56,6 +56,7 @@ done;
# Check whether the pathnames in build.vars contain non-empty valid values.
# Check whether all prerequisite command names resolve.
# Check whether all prerequisite pathnames resolve.
+# Check whether all prerequisite Perl modules exist.
for __ in $(export | sed -e 's/^export //' -e 's/=.*$//'); do
if ! match_list "${CLEAR_ENV_VARS_EXCEPT}" " " "${__}"; then
unset "${__}";
@@ -81,6 +82,12 @@ for __ in ${CHECK_PREREQ_CMDS} ${CHECK_PREREQ_FILES}; do
fi;
fi;
done;
+for __ in ${CHECK_PREREQ_PERL_MODULES}; do
+ if ! perl -M"${__}" -e "" 2>/dev/null; then
+ log_msg fail "Error: missing prerequisite Perl module \`${__}'.";
+ __exit=1;
+ fi;
+done;
if [ ${__exit:-0} = 1 ]; then
exit 1;
elif [ -n "${__exit}" ]; then